import { EventEmitter } from '@angular/core';
import { EditorColor } from '../../models/button';
import { ExecCommand } from '../../models/exec-command';
import * as i0 from "@angular/core";
export declare class EditorColorPickerComponent {
    button: EditorColor;
    state: string | number | boolean;
    command: EventEmitter<{
        command: ExecCommand;
        value: string;
    }>;
    onCommand(command: ExecCommand, value: string): void;
    rgbStringToHex(rgb: string | boolean | number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorColorPickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorColorPickerComponent, "st-color-picker", never, { "button": { "alias": "button"; "required": false; }; "state": { "alias": "state"; "required": false; }; }, { "command": "command"; }, never, never, false, never>;
}
