import { AfterViewInit, ElementRef, EventEmitter } from '@angular/core';
import { EditorDropdown } from '../../models/button';
import { ExecCommand } from '../../models/exec-command';
import * as i0 from "@angular/core";
export declare class EditorDropdownComponent implements AfterViewInit {
    selectElement: ElementRef;
    set button(val: EditorDropdown);
    get button(): EditorDropdown;
    width: number;
    label: string;
    _button: EditorDropdown;
    _tempButton: EditorDropdown;
    command: EventEmitter<{
        command: ExecCommand;
        value: string;
    }>;
    ngAfterViewInit(): void;
    onCommand({ value: label }: {
        value: string;
    }): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorDropdownComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorDropdownComponent, "st-dropdown", never, { "button": { "alias": "button"; "required": false; }; }, { "command": "command"; }, never, never, false, never>;
}
