import { EventEmitter, ElementRef } from '@angular/core';
import { EditorInput } from '../../models/button';
import { ExecCommand } from '../../models/exec-command';
import * as i0 from "@angular/core";
export declare class EditorInputComponent {
    private readonly element;
    private readonly document;
    button: EditorInput;
    state: string | number | boolean;
    command: EventEmitter<{
        command: ExecCommand;
        value: string;
    }>;
    inputElement: ElementRef;
    windowElement: ElementRef;
    showInputWindow: boolean;
    value: string;
    margin: number;
    opacity: number;
    selectionRange: Range;
    constructor(element: ElementRef, document: Document);
    onCommand(): void;
    openInputWindow(): void;
    closeInputWindow(): void;
    outsideClick($event: MouseEvent): void;
    private loadSelection;
    private saveSelection;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<EditorInputComponent, "st-input", never, { "button": { "alias": "button"; "required": false; }; "state": { "alias": "state"; "required": false; }; }, { "command": "command"; }, never, never, false, never>;
}
